# Get affiliate blocked of the affiliate

| HTTP method | Endpoint                  |
| ----------- | ------------------------- |
| **GET**     | **/v1/affiliate\_blocks** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters     | Type    | Description                                                                                                                                                               |
| ---------- | -------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset         | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit          | limit   | The number of date displays in each page.                                                                                                                                 |
| Sort       | sort           | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters        | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |                |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields         | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id             | integer | The unique id for the block.                                                                                                                                              |
|            | affiliate\_id  | integer | The unique id for the affiliate.                                                                                                                                          |
|            | offer\_id      | integer | The unique id for the offer.                                                                                                                                              |
|            | type           | integer | The type for this affiliate blocked.   Allow type： 1 Source ID  2 Aff Sub1  3 Aff Sub2  4 Aff Sub3   5 Aff Sub4   6 Aff Sub5                                              |
|            | value          | string  | The value for the affiliate blocked.                                                                                                                                      |
|            | create\_time   | integer | Create time.                                                                                                                                                              |
|            | update\_time   | integer | Update time.                                                                                                                                                              |
|            | advertiser\_id | integer | The unique id for the advertiser.                                                                                                                                         |
|            | category       | string  | The type for this affiliate blocked. Allow type: 1 Offer 2 Advertiser.                                                                                                    |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field          | Type    | Description                                                                                                                                                                                                          |
| -------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id             | integer | The unique id for the block.                                                                                                                                                                                         |
| affiliate\_id  | integer | The unique id for the affiliate.                                                                                                                                                                                     |
| offer\_id      | integer | The unique id for the offer.                                                                                                                                                                                         |
| type           | integer | The type for this affiliate blocked.   Allow type： 1 Source ID  2 Aff Sub1  3 Aff Sub2  4 Aff Sub3   5 Aff Sub4   6 Aff Sub5                                                                                         |
| value          | string  | The value for the affiliate blocked.                                                                                                                                                                                 |
| create\_time   | integer | Create time.                                                                                                                                                                                                         |
| update\_time   | integer | Update time.                                                                                                                                                                                                         |
| advertiser\_id | integer | The unique id for the advertiser.                                                                                                                                                                                    |
| category       | string  | The type for this affiliate blocked. Allow type: 1 Offer 2 Advertiser.                                                                                                                                               |
| list\_type     | string  | Allow Values: 1 Blacklist; 2 Whitelist. **Note:if list\_type=1, all the clicks and conversions with this value will be rejected. If list\_type=2, all the clicks and conversions won't success without this value.** |
| totalPages     | integer | The list of data pages (associated with your limit).                                                                                                                                                                 |
| totalRows      | integer | Total number of available data.                                                                                                                                                                                      |
| offset         | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow.                                                                                                   |
| limit          | integer | The number of data displayed on one page                                                                                                                                                                             |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/affiliate_blocks?sort=+id&limit=10&fields=id,offer_id,type,value&filters[id][LESS_THAN]=90>

**Request GET** <http://{networkname}.api.offerslook.com/v1/affiliate_blocks?sort=+id&limit=10&fields=id,offer_id,type,value&filters[id][LESS_THAN]=90>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 91,
            "offer_id": 0,
            "type": 2,
            "value": "test"
          },
          {
            "id": 93,
            "offer_id": 0,
            "type": 1,
            "value": "test"
          },
          {
            "id": 94,
            "offer_id": 0,
            "type": 1,
            "value": "Demo"
          },
          {
            "id": 95,
            "offer_id": 3,
            "type": 2,
            "value": "test"
          },
          {
            "id": 96,
            "offer_id": 0,
            "type": 1,
            "value": "test demo"
          },
          {
            "id": 98,
            "offer_id": 50,
            "type": 5,
            "value": "test"
          },
          {
            "id": 119,
            "offer_id": 102,
            "type": 1,
            "value": "Sunday"
          },
          {
            "id": 123,
            "offer_id": 102,
            "type": 4,
            "value": "Sunday"
          },
          {
            "id": 126,
            "offer_id": 102,
            "type": 3,
            "value": "sunshine"
          },
          {
            "id": 127,
            "offer_id": 102,
            "type": 5,
            "value": "sunshine"
          }
        ],
        "totalPages": 2,
        "totalRows": 15,
        "offset": 1,
        "limit": 10
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliates/sub-resources/affiliate_blocked/get_affiliate_blocked_of_the_affiliate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
